/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:34pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Grim.cs
Lines of code: 77

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Targeting;
using System.Collections;

namespace Server.Mobiles
{
	[CorpseName( "a grim corpse" )] 
	public class Grim : BaseCreature
	{		
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.CrushingBlow;
		}
	
		[Constructable]
		public Grim() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Grim";
			Body = 60;
			Hue = 1192;
			BaseSoundID = 362;

			SetStr( 527, 580 );
			SetDex( 284, 322 );
			SetInt( 249, 326 );

			SetHits( 1762, 2502 );
			SetStam( 284, 322 );
			SetMana( 249, 326 ); 

			SetDamage( 11, 22 );

			SetDamageType( ResistanceType.Physical, 80 );
			SetDamageType( ResistanceType.Fire, 20 );

			SetResistance( ResistanceType.Physical, 55, 60 );
			SetResistance( ResistanceType.Fire, 62, 68 );
			SetResistance( ResistanceType.Cold, 52, 57 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 40, 44 );

			SetSkill( SkillName.MagicResist, 106.2, 115.8 );
			SetSkill( SkillName.Tactics, 102.8, 120.8 );
			SetSkill( SkillName.Anatomy, 105.8, 115.8 );
			SetSkill( SkillName.Meditation, 113.1, 119.8 );
			SetSkill( SkillName.Wrestling, 111.6, 119.4 );

			Fame = 11000;
			Karma = -11000;

			VirtualArmor = 32;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 3 );
			AddLoot( LootPack.UltraRich, 1 );
		}
		
		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }

		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override bool IsMLCreature { get { return true;} }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 20; } }
		public override HideType HideType{ get{ return HideType.Horned; } }
		public override int Scales{ get{ return 2; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Red; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Meat | FoodType.Fish; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }

		public Grim( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}